package com.emoon.openplatform.service.impl;

import com.emoon.common.json.utils.JsonUtils;
import com.emoon.openplatform.domain.RagDo;
import com.emoon.openplatform.domain.bo.RagBo;
import com.emoon.openplatform.service.IRagService;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import java.util.List;

/**
 * @author destiny
 * @description:
 * @date 2025/10/25 21:25
 */
@SpringBootTest
class RagServiceImplTest {

    @Autowired
    private IRagService ragService;

    @Test
    void search() {

        List<RagDo> rags = ragService.search(RagBo.builder()
            .rag("无纸化病例质控")
            .build());

        System.out.println("JsonUtils.toJsonString(rags) = " + JsonUtils.toJsonString(rags));

    }
}
